#
#
#

from UserList import UserList

class XMLTag:
    isList = None
    attributeNames = []
    subtags = []

    def __init__ (self, tag = None):
        if tag == None:
            self.__tag = self.__class__.__name__
        else:
            self.__tag = tag

    def __str__ (self):
        return '<' + self.__tag + '>'

    def getTag (self):
        return self.__tag

class XMLList (XMLTag, UserList):
    isList = 1
    def __init__ (self):
        XMLTag.__init__ (self)
        UserList.__init__ (self)

    def __str__ (self):
        return XMLTag.__str__ (self) + '(*)'

class Directory (XMLTag):
    pass

class Info (XMLTag):
    pass

class Documents (XMLList):
    pass

class FilesToIgnore (XMLList):
    pass

class LayoutGroup (XMLList):
    pass

class LayoutMember (XMLTag):
    pass

class Document (XMLTag):
    ref = None
    file = None
    pass

class File (XMLTag):
    pass

class Ref (XMLTag):
    pass

class Title (XMLTag):
    pass

class Abstract (XMLTag):
    pass

class Description (XMLTag):
    pass

class Keywords (XMLList):
    pass

class Keyword (XMLTag):
    pass

class Responsible (XMLTag):
    pass

class FilePattern (XMLTag):
    pass

class DocDirDescriptionFactory (XMLTag):
    def create (self, tag):
        constructor = globals () [tag]
        return constructor ()

factory = DocDirDescriptionFactory ()

